

sketch.default2d();

var mytext = " ";
var mybrgb = [0.2,0.2,0.2];
var myfrgb = [0.2,0.2,0.2];
var myrgb2 = [0,0,0];
var myline = 0;
var newdest=0;
var myfont = "Arial";  // Geneva on Mac, Arial on PC
var myfontsize = 0.09; // relative to height
var myround = 1;
var mypadding = 0.15;
var myx = 0;
var myy = 0;
var cood=[0,0,0];
var l,x =0;
var myscreen=["",""];
var preview=[0,0];
var nbinputs = 16;
var previewtype =0;
var x,y;
var valeurs=[0,0];
draw();





function brgb(r,g,b)
{
    mybrgb[0] = r/255.;
    mybrgb[1] = g/255.;
    mybrgb[2] = b/255.;
    draw();
    refresh();
}

function rgb2(r,g,b)
{
    myrgb2[0] = r/255.;
    myrgb2[1] = g/255.;
    myrgb2[2] = b/255.;
    draw();
    refresh();
}


function fsaa(v)
{
    sketch.fsaa = v;
    draw();
    refresh();
}

function activeinputs(v)
{
    nbinputs=v;
}
function setpreviewtype(v)
{
    previewtype=v;
    valeurs=[0,0];
}


function list()
    {
        var a = arrayfromargs(arguments);
        if (!previewtype){
        if (a[0]<=nbinputs)  preview[a[0]-1]= a[1];
         }
        else{
        if (a[0]==previewtype){
        valeurs.shift();
        valeurs[99]=a[1];
        }
        }
        draw();
        refresh();    
    }

function font(v)
{
    myfont = v.toString();
    draw();
    refresh();
}

function fontsize(v)
{
    myfontsize = v;
    draw();
    refresh();
}



function clear()
{
sketch.glclearcolor(mybrgb);
sketch.glclear();
myline = 0;
myscreen=["",""];
 refresh();
}


function draw()
{
    var str,width,height,aspect;
    var tx1,tx2,ty1,ty2;
    height = box.rect[3] - box.rect[1]; 
    width = box.rect[2] - box.rect[0]; 
    aspect = width/height;


    with (sketch) {
        glclearcolor(mybrgb);
        glclear();
        glcolor(myrgb2);
        myx =-aspect ;
if (!previewtype){
        for (x=0;x<nbinputs ;x++)
        {
    glcolor((preview[x]/127.),0,0);
    tx1=myx+(aspect*x/(nbinputs/2 ));
     tx2=myx+(aspect*(x+1)/(nbinputs/2) );
    ty1=-1+(preview[x]/64.);
    quad(tx1,-1,0,tx1,ty1,0,tx2,ty1,0,tx2,-1,0)
        }
        }
else{
     for (x=0;x<100 ;x++)
        {
            glcolor((valeurs[x]/127.),0,0);
            tx1=myx+(aspect*(100-x)/50);
             tx2=myx+(aspect*(100-x)/50)+aspect*0.02;
            ty1=-1+(valeurs[x]/64.);
            quad(tx1,-1,0,tx1,ty1,0,tx2,ty1,0,tx2,-1,0)
        }
    }
    
    }
}

function bang()
{
    draw();
    refresh();
}

function onresize(w,h)
{
    draw();
    refresh();
}
onresize.local = 1; //private

