// by marc sirguy
//copyright : eowave 2008


sketch.default2d();

var mytext = " ";
var mybrgb = [1,1,1];
var myfrgb = [0.2,0.2,0.2];
var myrgb2 = [0,0,0];
var myline = 0;
var newdest=0;
var myfont = "Arial";  // Geneva on Mac, Arial on PC
var myfontsize = 0.09; // relative to height
var myround = 1;
var mypadding = 0.15;
var myx = 0;
var myy = 0;
var cood=[0,0,0];
var x =0;
var myscreen=["",""];

draw();


function list()
{
  var message = arrayfromargs(arguments);
type = message[0]>>4;
channel =(message[0]%16)+1;
switch (type){
case 11: type ='CC'; break;
case 12: type ='PC'; break;
case 13: type ='CP'; break;
case 14: type ='PB';  message[1]=(message[2]<<7)+message[1];message[2]="";break;
case 9: type ='note'; break;

}
message[0] = type+" Ch :"+channel+" val :";
text(message);
}

function brgb(r,g,b)
{
    mybrgb[0] = r/255.;
    mybrgb[1] = g/255.;
    mybrgb[2] = b/255.;
    draw();
    refresh();
}

function rgb2(r,g,b)
{
    myrgb2[0] = r/255.;
    myrgb2[1] = g/255.;
    myrgb2[2] = b/255.;
    draw();
    refresh();
}


function fsaa(v)
{
    sketch.fsaa = v;
    draw();
    refresh();
}

function text(v)
{
    if (myline<10){
    myscreen[myline] = v.toString();
    myline++;}
    else{
    myscreen.shift();
    myscreen[(myline-1)] = v.toString();}
    draw();
    refresh();
}
function coor(v,t)
{
    myx=v;
    myy=t;
    
    draw();
    refresh();
}

function font(v)
{
    myfont = v.toString();
    draw();
    refresh();
}

function fontsize(v)
{
    myfontsize = v;
    draw();
    refresh();
}

function padding(v)
{
    mypadding = v;
    draw();
    refresh();
}
function clear()
{
sketch.glclearcolor(mybrgb);
sketch.glclear();
myline = 0;
myscreen=["",""];
 refresh();
}


function draw()
{
    var str,width,height,aspect;

    height = box.rect[3] - box.rect[1]; 
    width = box.rect[2] - box.rect[0]; 
    aspect = width/height;
cood[0] = height;
cood[1] = width;
cood[2] = aspect;

    with (sketch) {
        glclearcolor(mybrgb);
        glclear();
        glcolor(myrgb2);
        myx =-aspect ;
        font(myfont); 
         fontsize(myfontsize*height);
        textalign("top","left");   
        for (x=0;x<10;x++)
        {
        myy =  1-(myfontsize*2*(x+1));
        moveto(myx,myy);
        text(myscreen[x]);
        }
    }
}

function bang()
{
    draw();
    refresh();
}

function onresize(w,h)
{
    draw();
    refresh();
}
onresize.local = 1; //private

